# Bling – Clockface for Fitbit Ionic and Fitbit Versa

## App Gallery Image
![Screenshot](images/bling.png)

## Goal
The goal for this watchface was to present the time in a three-dimensional way that would set itself apart from other watchfaces, since the device cannot render 3D scenes of this complexity.
I achieved this by rendering out the 3D scene in greyscale images for the scene itself and every digit in every place. The images are then colorized and composited live on the watch, creating the illusion that the numbers are illuminating the scene and reflected in the faceted orb.

As an example here are the raw greyscale images that get composited into the time 1:49 as seen in the App Gallery Image above

![-1--](resources/img/2-1.png) ![--4-](resources/img/3-4.png) ![---9](resources/img/4-9.png) ![scene](resources/img/bg.png) 